source: squid-ssl/trunk/fuentes/helpers/basic_auth/MSNT-multi-domain/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 35.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = helpers/basic_auth/MSNT-multi-domain
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
157mkinstalldirs = $(install_sh) -d
158CONFIG_HEADER = $(top_builddir)/include/autoconf.h
159CONFIG_CLEAN_FILES =
160CONFIG_CLEAN_VPATH_FILES =
161am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
162am__vpath_adj = case $$p in \
163    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
164    *) f=$$p;; \
165  esac;
166am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
167am__install_max = 40
168am__nobase_strip_setup = \
169  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
170am__nobase_strip = \
171  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
172am__nobase_list = $(am__nobase_strip_setup); \
173  for p in $$list; do echo "$$p $$p"; done | \
174  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
175  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
176    if (++n[$$2] == $(am__install_max)) \
177      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
178    END { for (dir in files) print dir, files[dir] }'
179am__base_list = \
180  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
181  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
182am__uninstall_files_from_dir = { \
183  test -z "$$files" \
184    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
185    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
186         $(am__cd) "$$dir" && rm -f $$files; }; \
187  }
188am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
189SCRIPTS = $(libexec_SCRIPTS)
190AM_V_P = $(am__v_P_@AM_V@)
191am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
192am__v_P_0 = false
193am__v_P_1 = :
194AM_V_GEN = $(am__v_GEN_@AM_V@)
195am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
196am__v_GEN_0 = @echo "  GEN     " $@;
197am__v_GEN_1 =
198AM_V_at = $(am__v_at_@AM_V@)
199am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
200am__v_at_0 = @
201am__v_at_1 =
202SOURCES =
203DIST_SOURCES =
204am__can_run_installinfo = \
205  case $$AM_UPDATE_INFO_DIR in \
206    n|no|NO) false;; \
207    *) (install-info --version) >/dev/null 2>&1;; \
208  esac
209man8dir = $(mandir)/man8
210NROFF = nroff
211MANS = $(man_MANS)
212am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
213am__tty_colors_dummy = \
214  mgn= red= grn= lgn= blu= brg= std=; \
215  am__color_tests=no
216am__tty_colors = { \
217  $(am__tty_colors_dummy); \
218  if test "X$(AM_COLOR_TESTS)" = Xno; then \
219    am__color_tests=no; \
220  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
221    am__color_tests=yes; \
222  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
223    am__color_tests=yes; \
224  fi; \
225  if test $$am__color_tests = yes; then \
226    red='[0;31m'; \
227    grn='[0;32m'; \
228    lgn='[1;32m'; \
229    blu='[1;34m'; \
230    mgn='[0;35m'; \
231    brg='[1m'; \
232    std='[m'; \
233  fi; \
234}
235am__recheck_rx = ^[     ]*:recheck:[    ]*
236am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
237am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
238# A command that, given a newline-separated list of test names on the
239# standard input, print the name of the tests that are to be re-run
240# upon "make recheck".
241am__list_recheck_tests = $(AWK) '{ \
242  recheck = 1; \
243  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
244    { \
245      if (rc < 0) \
246        { \
247          if ((getline line2 < ($$0 ".log")) < 0) \
248            recheck = 0; \
249          break; \
250        } \
251      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
252        { \
253          recheck = 0; \
254          break; \
255        } \
256      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
257        { \
258          break; \
259        } \
260    }; \
261  if (recheck) \
262    print $$0; \
263  close ($$0 ".trs"); \
264  close ($$0 ".log"); \
265}'
266# A command that, given a newline-separated list of test names on the
267# standard input, create the global log from their .trs and .log files.
268am__create_global_log = $(AWK) ' \
269function fatal(msg) \
270{ \
271  print "fatal: making $@: " msg | "cat >&2"; \
272  exit 1; \
273} \
274function rst_section(header) \
275{ \
276  print header; \
277  len = length(header); \
278  for (i = 1; i <= len; i = i + 1) \
279    printf "="; \
280  printf "\n\n"; \
281} \
282{ \
283  copy_in_global_log = 1; \
284  global_test_result = "RUN"; \
285  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
286    { \
287      if (rc < 0) \
288         fatal("failed to read from " $$0 ".trs"); \
289      if (line ~ /$(am__global_test_result_rx)/) \
290        { \
291          sub("$(am__global_test_result_rx)", "", line); \
292          sub("[        ]*$$", "", line); \
293          global_test_result = line; \
294        } \
295      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
296        copy_in_global_log = 0; \
297    }; \
298  if (copy_in_global_log) \
299    { \
300      rst_section(global_test_result ": " $$0); \
301      while ((rc = (getline line < ($$0 ".log"))) != 0) \
302      { \
303        if (rc < 0) \
304          fatal("failed to read from " $$0 ".log"); \
305        print line; \
306      }; \
307      printf "\n"; \
308    }; \
309  close ($$0 ".trs"); \
310  close ($$0 ".log"); \
311}'
312# Restructured Text title.
313am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
314# Solaris 10 'make', and several other traditional 'make' implementations,
315# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
316# by disabling -e (using the XSI extension "set +e") if it's set.
317am__sh_e_setup = case $$- in *e*) set +e;; esac
318# Default flags passed to test drivers.
319am__common_driver_flags = \
320  --color-tests "$$am__color_tests" \
321  --enable-hard-errors "$$am__enable_hard_errors" \
322  --expect-failure "$$am__expect_failure"
323# To be inserted before the command running the test.  Creates the
324# directory for the log if needed.  Stores in $dir the directory
325# containing $f, in $tst the test, in $log the log.  Executes the
326# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
327# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
328# will run the test scripts (or their associated LOG_COMPILER, if
329# thy have one).
330am__check_pre = \
331$(am__sh_e_setup);                                      \
332$(am__vpath_adj_setup) $(am__vpath_adj)                 \
333$(am__tty_colors);                                      \
334srcdir=$(srcdir); export srcdir;                        \
335case "$@" in                                            \
336  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
337    *) am__odir=.;;                                     \
338esac;                                                   \
339test "x$$am__odir" = x"." || test -d "$$am__odir"       \
340  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
341if test -f "./$$f"; then dir=./;                        \
342elif test -f "$$f"; then dir=;                          \
343else dir="$(srcdir)/"; fi;                              \
344tst=$$dir$$f; log='$@';                                 \
345if test -n '$(DISABLE_HARD_ERRORS)'; then               \
346  am__enable_hard_errors=no;                            \
347else                                                    \
348  am__enable_hard_errors=yes;                           \
349fi;                                                     \
350case " $(XFAIL_TESTS) " in                              \
351  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
352    am__expect_failure=yes;;                            \
353  *)                                                    \
354    am__expect_failure=no;;                             \
355esac;                                                   \
356$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
357# A shell command to get the names of the tests scripts with any registered
358# extension removed (i.e., equivalently, the names of the test logs, with
359# the '.log' extension removed).  The result is saved in the shell variable
360# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
361# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
362# since that might cause problem with VPATH rewrites for suffix-less tests.
363# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
364am__set_TESTS_bases = \
365  bases='$(TEST_LOGS)'; \
366  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
367  bases=`echo $$bases`
368RECHECK_LOGS = $(TEST_LOGS)
369AM_RECURSIVE_TARGETS = check recheck
370TEST_SUITE_LOG = test-suite.log
371TEST_EXTENSIONS = @EXEEXT@ .test
372am__test_logs1 = $(TESTS:=.log)
373am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
374TEST_LOGS = $(am__test_logs2:.test.log=.log)
375TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
376TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
377        $(TEST_LOG_FLAGS)
378am__set_b = \
379  case '$@' in \
380    */*) \
381      case '$*' in \
382        */*) b='$*';; \
383          *) b=`echo '$@' | sed 's/\.log$$//'`; \
384       esac;; \
385    *) \
386      b='$*';; \
387  esac
388am__DIST_COMMON = $(srcdir)/Makefile.in \
389        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
390DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
391ACLOCAL = @ACLOCAL@
392ADAPTATION_LIBS = @ADAPTATION_LIBS@
393ALLOCA = @ALLOCA@
394AMTAR = @AMTAR@
395AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
396AR = @AR@
397ARGZ_H = @ARGZ_H@
398AR_R = @AR_R@
399AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
400AUTH_MODULES = @AUTH_MODULES@
401AUTOCONF = @AUTOCONF@
402AUTOHEADER = @AUTOHEADER@
403AUTOMAKE = @AUTOMAKE@
404AWK = @AWK@
405BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
406BUILDCXX = @BUILDCXX@
407BUILDCXXFLAGS = @BUILDCXXFLAGS@
408BZR = @BZR@
409CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
410CC = @CC@
411CCDEPMODE = @CCDEPMODE@
412CFLAGS = @CFLAGS@
413CGIEXT = @CGIEXT@
414CHMOD = @CHMOD@
415CPP = @CPP@
416CPPFLAGS = @CPPFLAGS@
417CPPUNITCONFIG = @CPPUNITCONFIG@
418CRYPTLIB = @CRYPTLIB@
419CXX = @CXX@
420CXXCPP = @CXXCPP@
421CXXDEPMODE = @CXXDEPMODE@
422CXXFLAGS = @CXXFLAGS@
423CYGPATH_W = @CYGPATH_W@
424DEFAULT_HOSTS = @DEFAULT_HOSTS@
425DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
426DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
427DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
428DEFS = @DEFS@
429DEPDIR = @DEPDIR@
430DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
431DISK_LIBS = @DISK_LIBS@
432DISK_LINKOBJS = @DISK_LINKOBJS@
433DISK_MODULES = @DISK_MODULES@
434DISK_OS_LIBS = @DISK_OS_LIBS@
435DISK_PROGRAMS = @DISK_PROGRAMS@
436DLLTOOL = @DLLTOOL@
437DSYMUTIL = @DSYMUTIL@
438DUMPBIN = @DUMPBIN@
439ECAP_LIBS = @ECAP_LIBS@
440ECHO_C = @ECHO_C@
441ECHO_N = @ECHO_N@
442ECHO_T = @ECHO_T@
443EGREP = @EGREP@
444EPOLL_LIBS = @EPOLL_LIBS@
445EUILIB = @EUILIB@
446EXEEXT = @EXEEXT@
447EXPATLIB = @EXPATLIB@
448EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
449EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
450EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
451FALSE = @FALSE@
452FGREP = @FGREP@
453GREP = @GREP@
454HAVE_CXX11 = @HAVE_CXX11@
455ICAP_LIBS = @ICAP_LIBS@
456INCLTDL = @INCLTDL@
457INSTALL = @INSTALL@
458INSTALL_DATA = @INSTALL_DATA@
459INSTALL_PROGRAM = @INSTALL_PROGRAM@
460INSTALL_SCRIPT = @INSTALL_SCRIPT@
461INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
462KRB5INCS = @KRB5INCS@
463KRB5LIBS = @KRB5LIBS@
464LBERLIB = @LBERLIB@
465LD = @LD@
466LDAPLIB = @LDAPLIB@
467LDFLAGS = @LDFLAGS@
468LIBADD_DL = @LIBADD_DL@
469LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
470LIBADD_DLOPEN = @LIBADD_DLOPEN@
471LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
472LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
473LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
474LIBLTDL = @LIBLTDL@
475LIBOBJS = @LIBOBJS@
476LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
477LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
478LIBS = @LIBS@
479LIBSASL = @LIBSASL@
480LIBTOOL = @LIBTOOL@
481LIB_DB = @LIB_DB@
482LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
483LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
484LINUXDOC = @LINUXDOC@
485LIPO = @LIPO@
486LN = @LN@
487LN_S = @LN_S@
488LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
489LTDLDEPS = @LTDLDEPS@
490LTDLINCL = @LTDLINCL@
491LTDLOPEN = @LTDLOPEN@
492LTLIBOBJS = @LTLIBOBJS@
493LT_CONFIG_H = @LT_CONFIG_H@
494LT_DLLOADERS = @LT_DLLOADERS@
495LT_DLPREOPEN = @LT_DLPREOPEN@
496MAINT = @MAINT@
497MAKEINFO = @MAKEINFO@
498MANIFEST_TOOL = @MANIFEST_TOOL@
499MINGW_LIBS = @MINGW_LIBS@
500MKDIR = @MKDIR@
501MKDIR_P = @MKDIR_P@
502MV = @MV@
503NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
504NETTLELIB = @NETTLELIB@
505NM = @NM@
506NMEDIT = @NMEDIT@
507NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
508OBJDUMP = @OBJDUMP@
509OBJEXT = @OBJEXT@
510OTOOL = @OTOOL@
511OTOOL64 = @OTOOL64@
512PACKAGE = @PACKAGE@
513PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
514PACKAGE_NAME = @PACKAGE_NAME@
515PACKAGE_STRING = @PACKAGE_STRING@
516PACKAGE_TARNAME = @PACKAGE_TARNAME@
517PACKAGE_URL = @PACKAGE_URL@
518PACKAGE_VERSION = @PACKAGE_VERSION@
519PATH_SEPARATOR = @PATH_SEPARATOR@
520PERL = @PERL@
521PKG_CONFIG = @PKG_CONFIG@
522PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
523PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
524PO2HTML = @PO2HTML@
525PO2TEXT = @PO2TEXT@
526POD2MAN = @POD2MAN@
527RANLIB = @RANLIB@
528REGEXLIB = @REGEXLIB@
529REPL_LIBS = @REPL_LIBS@
530REPL_OBJS = @REPL_OBJS@
531REPL_POLICIES = @REPL_POLICIES@
532RM = @RM@
533SED = @SED@
534SET_MAKE = @SET_MAKE@
535SH = @SH@
536SHELL = @SHELL@
537SMBCLIENT = @SMBCLIENT@
538SNMPLIB = @SNMPLIB@
539SQUID_CFLAGS = @SQUID_CFLAGS@
540SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
541SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
542SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
543SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
544SSLLIB = @SSLLIB@
545STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
546STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
547STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
548STORE_TESTS = @STORE_TESTS@
549STRIP = @STRIP@
550TR = @TR@
551TRUE = @TRUE@
552URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
553VERSION = @VERSION@
554WBINFO = @WBINFO@
555WIN32_PSAPI = @WIN32_PSAPI@
556XMLLIB = @XMLLIB@
557XTRA_LIBS = @XTRA_LIBS@
558XTRA_OBJS = @XTRA_OBJS@
559abs_builddir = @abs_builddir@
560abs_srcdir = @abs_srcdir@
561abs_top_builddir = @abs_top_builddir@
562abs_top_srcdir = @abs_top_srcdir@
563ac_ct_AR = @ac_ct_AR@
564ac_ct_CC = @ac_ct_CC@
565ac_ct_CXX = @ac_ct_CXX@
566ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
567am__include = @am__include@
568am__leading_dot = @am__leading_dot@
569am__quote = @am__quote@
570am__tar = @am__tar@
571am__untar = @am__untar@
572bindir = @bindir@
573build = @build@
574build_alias = @build_alias@
575build_cpu = @build_cpu@
576build_os = @build_os@
577build_vendor = @build_vendor@
578builddir = @builddir@
579datadir = @datadir@
580datarootdir = @datarootdir@
581docdir = @docdir@
582dvidir = @dvidir@
583exec_prefix = @exec_prefix@
584host = @host@
585host_alias = @host_alias@
586host_cpu = @host_cpu@
587host_os = @host_os@
588host_vendor = @host_vendor@
589htmldir = @htmldir@
590includedir = @includedir@
591infodir = @infodir@
592install_sh = @install_sh@
593krb5_config = @krb5_config@
594libdir = @libdir@
595libexecdir = @libexecdir@
596localedir = @localedir@
597localstatedir = @localstatedir@
598ltdl_LIBOBJS = @ltdl_LIBOBJS@
599ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
600mandir = @mandir@
601mkdir_p = @mkdir_p@
602oldincludedir = @oldincludedir@
603pdfdir = @pdfdir@
604prefix = @prefix@
605program_transform_name = @program_transform_name@
606psdir = @psdir@
607runstatedir = @runstatedir@
608sbindir = @sbindir@
609sharedstatedir = @sharedstatedir@
610srcdir = @srcdir@
611subdirs = @subdirs@
612sys_symbol_underscore = @sys_symbol_underscore@
613sysconfdir = @sysconfdir@
614target_alias = @target_alias@
615top_build_prefix = @top_build_prefix@
616top_builddir = @top_builddir@
617top_srcdir = @top_srcdir@
618AM_CFLAGS = $(SQUID_CFLAGS)
619AM_CXXFLAGS = $(SQUID_CXXFLAGS)
620CLEANFILES = basic_msnt_multi_domain_auth \
621        basic_msnt_multi_domain_auth.8
622AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
623        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
624        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
625        $(am__append_1)
626@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
627@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
628COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
629subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
630libexec_SCRIPTS = basic_msnt_multi_domain_auth
631man_MANS = basic_msnt_multi_domain_auth.8
632EXTRA_DIST = \
633        basic_msnt_multi_domain_auth.8 \
634        basic_msnt_multi_domain_auth.pl.in \
635        required.m4
636
637all: all-am
638
639.SUFFIXES:
640.SUFFIXES: .log .test .test$(EXEEXT) .trs
641$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
642        @for dep in $?; do \
643          case '$(am__configure_deps)' in \
644            *$$dep*) \
645              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
646                && { if test -f $@; then exit 0; else break; fi; }; \
647              exit 1;; \
648          esac; \
649        done; \
650        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/MSNT-multi-domain/Makefile'; \
651        $(am__cd) $(top_srcdir) && \
652          $(AUTOMAKE) --foreign helpers/basic_auth/MSNT-multi-domain/Makefile
653Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
654        @case '$?' in \
655          *config.status*) \
656            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
657          *) \
658            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
659            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
660        esac;
661$(top_srcdir)/src/Common.am $(am__empty):
662
663$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
664        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
665
666$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
667        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
668$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
669        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
670$(am__aclocal_m4_deps):
671
672clean-checkPROGRAMS:
673        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
674        echo " rm -f" $$list; \
675        rm -f $$list || exit $$?; \
676        test -n "$(EXEEXT)" || exit 0; \
677        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
678        echo " rm -f" $$list; \
679        rm -f $$list
680install-libexecSCRIPTS: $(libexec_SCRIPTS)
681        @$(NORMAL_INSTALL)
682        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
683        if test -n "$$list"; then \
684          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
685          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
686        fi; \
687        for p in $$list; do \
688          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
689          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
690        done | \
691        sed -e 'p;s,.*/,,;n' \
692            -e 'h;s|.*|.|' \
693            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
694        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
695          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
696            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
697              if (++n[d] == $(am__install_max)) { \
698                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
699            else { print "f", d "/" $$4, $$1 } } \
700          END { for (d in files) print "f", d, files[d] }' | \
701        while read type dir files; do \
702             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
703             test -z "$$files" || { \
704               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
705               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
706             } \
707        ; done
708
709uninstall-libexecSCRIPTS:
710        @$(NORMAL_UNINSTALL)
711        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
712        files=`for p in $$list; do echo "$$p"; done | \
713               sed -e 's,.*/,,;$(transform)'`; \
714        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
715
716mostlyclean-libtool:
717        -rm -f *.lo
718
719clean-libtool:
720        -rm -rf .libs _libs
721install-man8: $(man_MANS)
722        @$(NORMAL_INSTALL)
723        @list1=''; \
724        list2='$(man_MANS)'; \
725        test -n "$(man8dir)" \
726          && test -n "`echo $$list1$$list2`" \
727          || exit 0; \
728        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
729        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
730        { for i in $$list1; do echo "$$i"; done;  \
731        if test -n "$$list2"; then \
732          for i in $$list2; do echo "$$i"; done \
733            | sed -n '/\.8[a-z]*$$/p'; \
734        fi; \
735        } | while read p; do \
736          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
737          echo "$$d$$p"; echo "$$p"; \
738        done | \
739        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
740              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
741        sed 'N;N;s,\n, ,g' | { \
742        list=; while read file base inst; do \
743          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
744            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
745            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
746          fi; \
747        done; \
748        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
749        while read files; do \
750          test -z "$$files" || { \
751            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
752            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
753        done; }
754
755uninstall-man8:
756        @$(NORMAL_UNINSTALL)
757        @list=''; test -n "$(man8dir)" || exit 0; \
758        files=`{ for i in $$list; do echo "$$i"; done; \
759        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
760          sed -n '/\.8[a-z]*$$/p'; \
761        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
762              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
763        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
764tags TAGS:
765
766ctags CTAGS:
767
768cscope cscopelist:
769
770
771# Recover from deleted '.trs' file; this should ensure that
772# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
773# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
774# to avoid problems with "make -n".
775.log.trs:
776        rm -f $< $@
777        $(MAKE) $(AM_MAKEFLAGS) $<
778
779# Leading 'am--fnord' is there to ensure the list of targets does not
780# expand to empty, as could happen e.g. with make check TESTS=''.
781am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
782am--force-recheck:
783        @:
784
785$(TEST_SUITE_LOG): $(TEST_LOGS)
786        @$(am__set_TESTS_bases); \
787        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
788        redo_bases=`for i in $$bases; do \
789                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
790                    done`; \
791        if test -n "$$redo_bases"; then \
792          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
793          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
794          if $(am__make_dryrun); then :; else \
795            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
796          fi; \
797        fi; \
798        if test -n "$$am__remaking_logs"; then \
799          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
800               "recursion detected" >&2; \
801        elif test -n "$$redo_logs"; then \
802          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
803        fi; \
804        if $(am__make_dryrun); then :; else \
805          st=0;  \
806          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
807          for i in $$redo_bases; do \
808            test -f $$i.trs && test -r $$i.trs \
809              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
810            test -f $$i.log && test -r $$i.log \
811              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
812          done; \
813          test $$st -eq 0 || exit 1; \
814        fi
815        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
816        ws='[   ]'; \
817        results=`for b in $$bases; do echo $$b.trs; done`; \
818        test -n "$$results" || results=/dev/null; \
819        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
820        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
821        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
822        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
823        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
824        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
825        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
826        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
827          success=true; \
828        else \
829          success=false; \
830        fi; \
831        br='==================='; br=$$br$$br$$br$$br; \
832        result_count () \
833        { \
834            if test x"$$1" = x"--maybe-color"; then \
835              maybe_colorize=yes; \
836            elif test x"$$1" = x"--no-color"; then \
837              maybe_colorize=no; \
838            else \
839              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
840            fi; \
841            shift; \
842            desc=$$1 count=$$2; \
843            if test $$maybe_colorize = yes && test $$count -gt 0; then \
844              color_start=$$3 color_end=$$std; \
845            else \
846              color_start= color_end=; \
847            fi; \
848            echo "$${color_start}# $$desc $$count$${color_end}"; \
849        }; \
850        create_testsuite_report () \
851        { \
852          result_count $$1 "TOTAL:" $$all   "$$brg"; \
853          result_count $$1 "PASS: " $$pass  "$$grn"; \
854          result_count $$1 "SKIP: " $$skip  "$$blu"; \
855          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
856          result_count $$1 "FAIL: " $$fail  "$$red"; \
857          result_count $$1 "XPASS:" $$xpass "$$red"; \
858          result_count $$1 "ERROR:" $$error "$$mgn"; \
859        }; \
860        {                                                               \
861          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
862            $(am__rst_title);                                           \
863          create_testsuite_report --no-color;                           \
864          echo;                                                         \
865          echo ".. contents:: :depth: 2";                               \
866          echo;                                                         \
867          for b in $$bases; do echo $$b; done                           \
868            | $(am__create_global_log);                                 \
869        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
870        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
871        if $$success; then                                              \
872          col="$$grn";                                                  \
873         else                                                           \
874          col="$$red";                                                  \
875          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
876        fi;                                                             \
877        echo "$${col}$$br$${std}";                                      \
878        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
879        echo "$${col}$$br$${std}";                                      \
880        create_testsuite_report --maybe-color;                          \
881        echo "$$col$$br$$std";                                          \
882        if $$success; then :; else                                      \
883          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
884          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
885            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
886          fi;                                                           \
887          echo "$$col$$br$$std";                                        \
888        fi;                                                             \
889        $$success || exit 1
890
891check-TESTS:
892        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
893        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
894        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
895        @set +e; $(am__set_TESTS_bases); \
896        log_list=`for i in $$bases; do echo $$i.log; done`; \
897        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
898        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
899        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
900        exit $$?;
901recheck: all $(check_PROGRAMS)
902        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
903        @set +e; $(am__set_TESTS_bases); \
904        bases=`for i in $$bases; do echo $$i; done \
905                 | $(am__list_recheck_tests)` || exit 1; \
906        log_list=`for i in $$bases; do echo $$i.log; done`; \
907        log_list=`echo $$log_list`; \
908        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
909                am__force_recheck=am--force-recheck \
910                TEST_LOGS="$$log_list"; \
911        exit $$?
912.test.log:
913        @p='$<'; \
914        $(am__set_b); \
915        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
916        --log-file $$b.log --trs-file $$b.trs \
917        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
918        "$$tst" $(AM_TESTS_FD_REDIRECT)
919@am__EXEEXT_TRUE@.test$(EXEEXT).log:
920@am__EXEEXT_TRUE@       @p='$<'; \
921@am__EXEEXT_TRUE@       $(am__set_b); \
922@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
923@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
924@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
925@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
926
927distdir: $(DISTFILES)
928        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
929        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
930        list='$(DISTFILES)'; \
931          dist_files=`for file in $$list; do echo $$file; done | \
932          sed -e "s|^$$srcdirstrip/||;t" \
933              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
934        case $$dist_files in \
935          */*) $(MKDIR_P) `echo "$$dist_files" | \
936                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
937                           sort -u` ;; \
938        esac; \
939        for file in $$dist_files; do \
940          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
941          if test -d $$d/$$file; then \
942            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
943            if test -d "$(distdir)/$$file"; then \
944              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
945            fi; \
946            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
947              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
948              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
949            fi; \
950            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
951          else \
952            test -f "$(distdir)/$$file" \
953            || cp -p $$d/$$file "$(distdir)/$$file" \
954            || exit 1; \
955          fi; \
956        done
957check-am: all-am
958        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
959        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
960check: check-am
961all-am: Makefile $(SCRIPTS) $(MANS)
962installdirs:
963        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
964          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
965        done
966install: install-am
967install-exec: install-exec-am
968install-data: install-data-am
969uninstall: uninstall-am
970
971install-am: all-am
972        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
973
974installcheck: installcheck-am
975install-strip:
976        if test -z '$(STRIP)'; then \
977          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
978            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
979              install; \
980        else \
981          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
982            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
983            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
984        fi
985mostlyclean-generic:
986        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
987        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
988        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
989
990clean-generic:
991        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
992
993distclean-generic:
994        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
995        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
996
997maintainer-clean-generic:
998        @echo "This command is intended for maintainers to use"
999        @echo "it deletes files that may require special tools to rebuild."
1000clean: clean-am
1001
1002clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1003        mostlyclean-am
1004
1005distclean: distclean-am
1006        -rm -f Makefile
1007distclean-am: clean-am distclean-generic
1008
1009dvi: dvi-am
1010
1011dvi-am:
1012
1013html: html-am
1014
1015html-am:
1016
1017info: info-am
1018
1019info-am:
1020
1021install-data-am: install-man
1022
1023install-dvi: install-dvi-am
1024
1025install-dvi-am:
1026
1027install-exec-am: install-libexecSCRIPTS
1028
1029install-html: install-html-am
1030
1031install-html-am:
1032
1033install-info: install-info-am
1034
1035install-info-am:
1036
1037install-man: install-man8
1038
1039install-pdf: install-pdf-am
1040
1041install-pdf-am:
1042
1043install-ps: install-ps-am
1044
1045install-ps-am:
1046
1047installcheck-am:
1048
1049maintainer-clean: maintainer-clean-am
1050        -rm -f Makefile
1051maintainer-clean-am: distclean-am maintainer-clean-generic
1052
1053mostlyclean: mostlyclean-am
1054
1055mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1056
1057pdf: pdf-am
1058
1059pdf-am:
1060
1061ps: ps-am
1062
1063ps-am:
1064
1065uninstall-am: uninstall-libexecSCRIPTS uninstall-man
1066
1067uninstall-man: uninstall-man8
1068
1069.MAKE: check-am install-am install-strip
1070
1071.PHONY: all all-am check check-TESTS check-am clean \
1072        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1073        ctags-am distclean distclean-generic distclean-libtool distdir \
1074        dvi dvi-am html html-am info info-am install install-am \
1075        install-data install-data-am install-dvi install-dvi-am \
1076        install-exec install-exec-am install-html install-html-am \
1077        install-info install-info-am install-libexecSCRIPTS \
1078        install-man install-man8 install-pdf install-pdf-am install-ps \
1079        install-ps-am install-strip installcheck installcheck-am \
1080        installdirs maintainer-clean maintainer-clean-generic \
1081        mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
1082        ps ps-am recheck tags-am uninstall uninstall-am \
1083        uninstall-libexecSCRIPTS uninstall-man uninstall-man8
1084
1085.PRECIOUS: Makefile
1086
1087
1088$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1089
1090basic_msnt_multi_domain_auth: basic_msnt_multi_domain_auth.pl.in
1091        $(subst_perlshell)
1092
1093basic_msnt_multi_domain_auth.8: basic_msnt_multi_domain_auth
1094        pod2man basic_msnt_multi_domain_auth basic_msnt_multi_domain_auth.8
1095
1096# Tell versions [3.59,3.63) of GNU make to not export all variables.
1097# Otherwise a system limit (for SysV at least) may be exceeded.
1098.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.